Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# CommonFilters Class Reference

List of all members.

## Public Member Functions
def | __init__
def | cleanup
def | delAmbientOcclusion
def | delBloom
def | delBlurSharpen
def | delCartoonInk
def | delHalfPixelShift
def | delInverted
def | delViewGlow
def | delVolumetricLighting
def | loadShader
def | reconfigure
def | setAmbientOcclusion
def | setBloom
def | setBlurSharpen
def | setCartoonInk
def | setHalfPixelShift
def | setInverted
def | setViewGlow
def | setVolumetricLighting
def | update
## Public Attributes
| bloom
| blur
| configuration
| finalQuad
| manager
| ssao
| task
| textures

## Detailed Description

    Class CommonFilters implements certain common image postprocessing
    filters.  The constructor requires a filter builder as a parameter.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | win,
|  |  | cam
| ) |  |

## Member Function Documentation

def cleanup | ( |  | self | ) |

def delAmbientOcclusion | ( |  | self | ) |

def delBloom | ( |  | self | ) |

def delBlurSharpen | ( |  | self | ) |

def delCartoonInk | ( |  | self | ) |

def delHalfPixelShift | ( |  | self | ) |

def delInverted | ( |  | self | ) |

def delViewGlow | ( |  | self | ) |

def delVolumetricLighting | ( |  | self | ) |

def loadShader | ( |  | self,
|  |  | name
| ) |  |

def reconfigure | ( |  | self,
|  |  | fullrebuild,
|  |  | changed
| ) |  |

    Reconfigure is called whenever any configuration change is made.

def setAmbientOcclusion | ( |  | self,
|  |  | numsamples = `16`,
|  |  | radius = `0.05`,
|  |  | amount = `2.0`,
|  |  | strength = `0.01`,
|  |  | falloff = `0.000002`
| ) |  |

def setBloom | ( |  | self,
|  |  | blend = `(0.3,0.4`,
|  |  | mintrigger = `0.6`,
|  |  | maxtrigger = `1.0`,
|  |  | desat = `0.6`,
|  |  | intensity = `1.0`,
|  |  | size = `"medium"`
| ) |  |

def setBlurSharpen | ( |  | self,
|  |  | amount = `0.0`
| ) |  |

    Enables the blur/sharpen filter. If the 'amount' parameter is 1.0, it will not have effect.
    A value of 0.0 means fully blurred, and a value higher than 1.0 sharpens the image.

def setCartoonInk | ( |  | self,
|  |  | separation = `1`,
|  |  | color = `(0, 0`
| ) |  |

def setHalfPixelShift | ( |  | self | ) |

def setInverted | ( |  | self | ) |

def setViewGlow | ( |  | self | ) |

def setVolumetricLighting | ( |  | self,
|  |  | caster,
|  |  | numsamples = `32`,
|  |  | density = `5.0`,
|  |  | decay = `0.1`,
|  |  | exposure = `0.1`
| ) |  |

def update | ( |  | self,
|  |  | task = `None`
| ) |  |

    Updates the shader inputs that need to be updated every frame.
    Normally, you shouldn't call this, it's being called in a task.

## Member Data Documentation

bloom

blur

configuration

finalQuad

manager

ssao

task

textures

All Classes Namespaces Functions Variables Enumerations Enumerator Properties